//
//  ViewController.swift
//  Lottozahlen
//
//  Created by Holger Hinzberg on 07.12.16.
//  Copyright © 2016 Holger Hinzberg. All rights reserved.
//

import UIKit

class ViewController: UIViewController
{
    // Der Zufallszahlengenerator wird zu 
    // einer Eigenschaft der Klasse
    private var generator:Zufallszahlengenerator?
    
    // So viele Zufallszahlen sollen ausgelost werden
    private let anzahlDerZufallszahlen:Int = 6
    
    // Die Zufallszahlen sind zwischen 1 und dem
    // angegebenen Wert
    private let hoechsteZufallszahl:UInt32 = 49
    
    @IBOutlet var wert1Label:UILabel?
    @IBOutlet var wert2Label:UILabel?
    @IBOutlet var wert3Label:UILabel?
    @IBOutlet var wert4Label:UILabel?
    @IBOutlet var wert5Label:UILabel?
    @IBOutlet var wert6Label:UILabel?
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
        // Do any additional setup after loading the 
        // view, typically from a nib.
        wert1Label?.text = ""
        wert2Label?.text = ""
        wert3Label?.text = ""
        wert4Label?.text = ""
        wert5Label?.text = ""
        wert6Label?.text = ""
    }

    override func didReceiveMemoryWarning()
    {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @IBAction func lottoSpielenTasteBeruehrt()
    {
        // Prüfen, ob es eine Instanz gibt oder ein
        // ein Objekt erstellt werden muss
        if self.generator == nil
        {
            self.generator = Zufallszahlengenerator()
        }
        
        let zahlen = generator!.Generiere(anzahlDerWerte:
            self.anzahlDerZufallszahlen,
            hoechsterWert: self.hoechsteZufallszahl)
        
        let labels = [wert1Label, wert2Label, wert3Label,
                      wert4Label, wert5Label, wert6Label]
        
        for index in 0 ..< labels.count
        {
            if zahlen.count > index
            {
                labels[index]?.text = "\(zahlen[index])"
            }
            else
            {
                labels[index]?.text = ""
            }
        }
        
        
        /*
        
        if zahlen.count > 0
        {
            wert1Label?.text = "\(zahlen[0])"
        }
        else
        {
            wert1Label?.text = ""
        }

        if zahlen.count > 1
        {
            wert2Label?.text = "\(zahlen[1])"
        }
        else
        {
            wert2Label?.text = ""
        }
        
        if zahlen.count > 2
        {
            wert3Label?.text = "\(zahlen[2])"
        }
        else
        {
            wert3Label?.text = ""
        }
        
        if zahlen.count > 3
        {
            wert4Label?.text = "\(zahlen[3])"
        }
        else
        {
            wert4Label?.text = ""
        }
        
        if zahlen.count > 4
        {
            wert5Label?.text = "\(zahlen[4])"
        }
        else
        {
            wert5Label?.text = ""
        }
        
        if zahlen.count > 5
        {
            wert6Label?.text = "\(zahlen[5])"
        }
        else
        {
            wert6Label?.text = ""
        }
 
         */
    }
}

